Bug 483375 - -o nolock is ignored. Cannot mount without rpc.statd running
-o nolock is ignored. Cannot mount without rpc.statd running
Product: Fedora
Classification: Fedora
Component: nfs-utils (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Steve Dickson
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: F11Alpha/F11AlphaBlocker
  Show dependency treegraph
Reported: 2009-01-31 02:05 EST by Jesse Keating
Modified: 2013-01-09 22:26 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-02-06 12:05:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jesse Keating 2009-01-31 02:05:12 EST
When attempting to install via NFS, all NFS mount attempts error with: 
mount.nfs: rpc.statd is not running but is required for remote locking.
mount.nfs: Either use '-o nolock' to keep locks local, or start statd.

The mount command was:
mount.nfs reducio:/srv/pungi/f11-alpha.rc6/11-Alpha/Fedora/x86_64/os /mnt/source -o nolock

This makes it impossible to install via nfs.  This is with nfs-utils-1.1.4-14.fc11
Comment 1 Jesse Keating 2009-01-31 02:08:04 EST
Reverting to nfs-utils-1.1.4-12.fc11 resolves this.
Comment 2 Warren Togami 2009-01-31 02:32:19 EST
Although it reintroduced the worst part of Bug #480420 and Bug #480223.
People should be aware that NFS as a server in F11 Alpha is broken.
That is all.
Comment 3 Steve Dickson 2009-01-31 07:00:14 EST

*** This bug has been marked as a duplicate of bug 480223 ***
Comment 4 Steve Dickson 2009-01-31 14:09:19 EST
reopening since this bug is not the same problem as bz480223
Comment 5 Mark McLoughlin 2009-02-06 11:47:50 EST
Was this fixed by 1.1.4-16?

* Sat Jan 31 2009 Steve Dickson <steved@redhat.com> 1.1.4-16
- Fixed typo in -mount-textbased.patch (bz 483375)
Comment 6 Jesse Keating 2009-02-06 12:05:57 EST
Yes, forgot to close.

Note You need to log in before you can comment on or make changes to this bug.